Summary: Secure Shell - encrypts network communications.
Name: ssh
Version: 2.0.13
Release: 2
Group: Networking/Utilities
Copyright: Non-commercially distributable
URL: http://www.cs.hut.fi/ssh/
Packager: Hao Li <hli@wag.caltech.edu>
Source0: ftp://ftp.cs.hut.fi/pub/ssh/ssh-%{version}.tar.gz
Source1: sshd.init
Patch0:  ssh2-chown.patch
BuildRoot: /var/tmp/%{name}-root

%description
Ssh (Secure Shell) a program for logging into a remote machine and for
executing commands in a remote machine.  It is intended to replace
rlogin and rsh, and provide secure encrypted communications between
two untrusted hosts over an insecure network.  X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

This is an all-in-one package include server, clients and extra stuff,
except symbolic links.


%package symlinks
Summary: symbolic links for ssh2
Group: Networking/Utilities
Requires: ssh = %{version}

%description symlinks
This package contains all symbolic links for ssh2 which save you typing
the extra `2'. Install it in either of the following cases:
1. You have only ssh2 on your system.
2. You have both ssh1 and ssh2, and you want to use ssh2 by default.


%prep
%setup -q
%patch -p1
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=/usr --with-etcdir=/etc --with-libwrap --with-x
make


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -p -m0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/sshd

# Construct %files lists ( /etc/* still handled by hand below )
find $RPM_BUILD_ROOT/usr -type f | sed "s|^$RPM_BUILD_ROOT||" > files.lst
find $RPM_BUILD_ROOT/usr -type l | sed "s|^$RPM_BUILD_ROOT||" > links.lst


%post
/sbin/chkconfig --add sshd
if [ ! -f /etc/ssh2/hostkey ]; then
	/usr/bin/ssh-keygen2 -P -b 1024 -t dsa -c "1024-bit dsa hostkey" \
	-o /etc/ssh2/hostkey
fi

%preun
if [ $1 = 0 ]; then
	/sbin/chkconfig --del sshd
fi


%files -f files.lst
%defattr(-,root,root)
%doc BUG.REPORT CHANGES FAQ INSTALL LICENSING README SSH2.QUICKSTART
%config /etc/rc.d/init.d/sshd
%dir /etc/ssh2
%config /etc/ssh2/ssh2_config
%config /etc/ssh2/sshd2_config

%files symlinks -f links.lst
%defattr(-,root,root)


%clean
rm -rf $RPM_BUILD_ROOT

